drop table Italok;
drop table Szallitas;
drop table Vasarlas;

Alter session setnls_date_language = english;
Alter session setnls_date_format = YYYY-MM-DD;

Create table Italok(
Ital_marka varchar2(20) not null,
Ital_tipusa varchar2(20) not null,
Ital_kategoria varchar2(20)not null,
Ital_alkoholtartalom number(3),
Ital_osszetevok varchar2(40),
Ital_iz varchar2(20) not null,
Constraint Italok_primary_key Primary key
(Ital_marka,Ital_tipusa));

Create table Szallitas(
Szallitas_forgalmazo varchar2(20) not null,
Szallitas_beszallito varchar2(20) not null,
Szallitas_szarmazasi_hely varchar2(20),
Szallitas_termek varchar2(20) not null,
Szallitas_tipus varchar2(20) not null,
Constraint Szallitas_primary_key Primary key
(Szallitas_forgalmazo, Szallitas_beszallito, Szallitas_termek, Szallitas_tipus));

Create table Vasarlas(
Vasarlo_neve varchar2(20) not null,
Vasarlo_azonositoja varchar2(20) not null,
Vsrlas_datuma DATE not null,
Vasarlo_fizetesi_modja varchar2(20) not null,
Vasarlo_termek varchar2(20)not null,
Vasarlo_tipus varchar2(20) not null,
Constraint Vasarlas_primary_key Primary key
(Vasarlo_neve, Vasarlo_azonositoja));

Alter table Italok
Add constraint c_alkohol check (Ital_alkoholtartalom >= 0);
Alter table Vasarlas
Add constraint c_azon unique (Vasarlo_azonositoja);
