DROP TABLESPACE FELH
  INCLUDING CONTENTS;
DROP USER SVECZ;

CREATE TABLESPACE FELH
  DATAFILE 'C:\oraclexe\FELH.dat'
  SIZE 20 M REUSE;

CREATE USER SVECZ
  IDENTIFIED BY svecz
    DEFAULT TABLESPACE FELH
    TEMPORARY TABLESPACE Temp
    QUOTA UNLIMITED ON FELH;

GRANT CREATE SESSION,
      CREATE TABLESPACE, CREATE USER, CREATE ANY TABLE, CREATE ANY VIEW,
       ALTER TABLESPACE,  ALTER USER,  ALTER ANY TABLE,
        DROP TABLESPACE,   DROP USER,   DROP ANY TABLE,   DROP ANY VIEW
  TO SVECZ
  WITH ADMIN OPTION;
